<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="Job"  package="performa.orm">
        <IMPORT value="performa.orm.types.*"/>    
        <IMPORT value="oneit.security.*"/>
                
        <MULTIPLEREFERENCE  name="JobApplications"      type="JobApplication"       backreferenceName="Job" />
        <MULTIPLEREFERENCE  name="AssessmentCriterias"  type="AssessmentCriteria"   backreferenceName="Job" />
        <MULTIPLEREFERENCE  name="CultureCriterias"     type="CultureCriteria"      backreferenceName="Job" />

        <TABLE  name="tl_job"   tablePrefix="object"    polymorphic="FALSE">
            
            <ATTRIB name="JobTitle"                     type="String"           dbcol="job_title"       length="500"/>
            <ATTRIB name="JobDescription"               type="String"           dbcol="job_description"/>
            <ATTRIB name="JobStatus"                    type="JobStatus"        dbcol="job_status"      attribHelper="EnumeratedAttributeHelper" />
            <ATTRIB name="ApplyBy"                      type="Date"             dbcol="apply_by"/>
            <ATTRIB name="IncludeAssessmentCriteria"    type="Boolean"          dbcol="include_assessment_criteria"/>
            <ATTRIB name="AssessmentType"               type="AssessmentType"   dbcol="assessment_type" attribHelper="EnumeratedAttributeHelper" />
            <ATTRIB name="JobLink"                      type="String"           dbcol="job_link"        length="100"/>

            <SINGLEREFERENCE    name="Level"    type="Level"    dbcol="level_id" />
            <SINGLEREFERENCE    name="SecUser"  type="SecUser"  dbcol="secuser_id" />

        </TABLE>
        
        <SEARCH type="All"  paramFilter="tl_job.object_id is not null"   orderBy="tl_job.object_id"   />
            
    </BUSINESSCLASS>
    
</ROOT>